import { o as m, n as s, z as c, E as M, B as p } from "./index-DSGwv2Yx.js";
function f(e, n, o = !1, l = !1) {
  let a = s(e, "a", "matMul"), t = s(n, "b", "matMul");
  [a, t] = c(a, t);
  const r = { a, b: t }, u = { transposeA: o, transposeB: l };
  return M.runKernel(p, r, u);
}
const i = /* @__PURE__ */ m({ matMul_: f });
export {
  i as m
};
